# NOTICE

 The Hammer debug tool is located in the `gdb-port` folder. Dedicated repository in progress.

# Help for the old perf probe version

```
add_perf_tracepoints.sh

Adds the required tracepoints via perf-probe. WARNING: parameters are passed unchecked

---
del_perf_tracepoints.sh

Cleans up the tracepoints created by add_perf_tracepoints

---
record_perf_events.sh

Runs perf record with the list of probes defined. Requires LD_LIBRARY_PATH to be set to include the hammer library, if not installed as a system library.

---
parser-name-instrumentation.py

Run with `perf script -s parser-name-instrumentation.py`

Currently, return probes don't always fire, which leads to bogus results (or an error if a stack happens to underflow). Sadly, this renders the code non-functional without further modifications. It's here to illustrate the approach of mapping function calls/returns to push/pop operations on a stack of parsers, and a stack of stack of parsers (for different invocations of h_packrat_parse())
```
